<span>Application</span>
<mat-card [appearance]="'outlined'">
    <mat-card-content>{{applicationType}}</mat-card-content>
    <mat-card-footer></mat-card-footer>
</mat-card>
<span>Local storage</span>
<mat-card [appearance]="'outlined'">
    <mat-card-content>
        <button mat-raised-button color="primary" (click)="clearStoredMetadata()">Clear metadata</button>
    </mat-card-content>
    <mat-card-footer></mat-card-footer>
</mat-card>
<div *ngIf="applicationType == 'EdgeGateway'">
    <span>Gateway</span>
    <mat-card [appearance]="'outlined'">
        <mat-card-content>
            <div class="mb-3">
                <button mat-raised-button color="primary" (click)="restartGateway()">Restart gateway</button>
            </div>
            <div>
                <span *ngIf="gatewayState == 0">Status: Running</span>
                <span *ngIf="gatewayState == 1">Status: Not running</span>
                <span *ngIf="gatewayState == 2">Status: Restarting</span>
            </div>
        </mat-card-content>
        <mat-card-footer></mat-card-footer>
    </mat-card>
</div>